package mima.presentation.gwt.entrypoint;

import mima.presentation.gwt.mindmap.MindMap;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.user.client.Window;
import com.google.gwt.user.client.ui.HasHorizontalAlignment;
import com.google.gwt.user.client.ui.HasVerticalAlignment;
import com.google.gwt.user.client.ui.HorizontalPanel;
import com.google.gwt.user.client.ui.RootPanel;
import com.google.gwt.user.client.ui.ScrollPanel;


/**
 * Entry point classes define <code>onModuleLoad()</code>.
 * 
 * @author Virginio Carfagno
 */
public class MiMa implements EntryPoint {

	/**
	 * This is the entry point method.
	 */
	public void onModuleLoad() {
		RootPanel rootPanel = RootPanel.get();
		
		HorizontalPanel mindMapContainer = new HorizontalPanel();
		
		mindMapContainer.setWidth("100%");
		mindMapContainer.setHeight("100%");
		mindMapContainer.setHorizontalAlignment(HasHorizontalAlignment.ALIGN_CENTER);
		mindMapContainer.setVerticalAlignment(HasVerticalAlignment.ALIGN_MIDDLE);
		
		mindMapContainer.add(new MindMap());
		
		ScrollPanel scrollPanel = new ScrollPanel(mindMapContainer);
		scrollPanel.setSize("100%", "100%");
		
		rootPanel.add(scrollPanel);
		Window.enableScrolling(false);
	}

}
