package mima.presentation.gwt.util;

import com.google.gwt.user.client.ui.Widget;


/**
 * This class contains helper methods that should really belong to the class
 * <code>com.google.gwt.user.client.ui.Widget</code>.
 * 
 * @author Virginio Carfagno
 */
public class WidgetUtilities {
	
	public static int getAbsoluteBottom(Widget widget) {
		return widget.getAbsoluteTop() + widget.getOffsetHeight();
	}
	
	public static int getAbsoluteMiddle(Widget widget) {
		return widget.getAbsoluteTop() + (widget.getOffsetHeight() / 2);
	}
	
}
