package mima.presentation.gwt.mindmap;

import com.google.gwt.user.client.ui.HasHorizontalAlignment;
import com.google.gwt.user.client.ui.HasHorizontalAlignment.HorizontalAlignmentConstant;

import mima.domain.SubNode;


/**
 * @author Virginio Carfagno
 */
class LeftSubTree extends SubTree {

	LeftSubTree(Tree superTree, SubNode subNode) {
		super(superTree, subNode);
	}

	protected void composeSubTree() {
		getTree().add(getSubTrees());
		getTree().add(getEdges());
		getTree().add(createNodeViewContainer());
	}

	protected HorizontalAlignmentConstant getSubTreesHorizontalAlignment() {
		return HasHorizontalAlignment.ALIGN_RIGHT;
	}

	protected boolean isRightEdge() {
		return false;
	}
}
