package mima.presentation.gwt.mindmap;

import com.google.gwt.user.client.ui.HasHorizontalAlignment;
import com.google.gwt.user.client.ui.HasHorizontalAlignment.HorizontalAlignmentConstant;

import mima.domain.SubNode;


/**
 * @author Virginio Carfagno
 */
class RightSubTree extends SubTree {

	RightSubTree(Tree superTree, SubNode subNode) {
		super(superTree, subNode);
	}
	
	protected void composeSubTree() {
		getTree().add(createNodeViewContainer());
		getTree().add(getEdges());
		getTree().add(getSubTrees());
	}

	protected HorizontalAlignmentConstant getSubTreesHorizontalAlignment() {
		return HasHorizontalAlignment.ALIGN_LEFT;
	}

	protected boolean isRightEdge() {
		return true;
	}
}
