package mima.presentation.gwt.nodecomponent;


/**
 * Pattern Decorator
 * 
 * @author Virginio Carfagno
 */
public abstract class NodeFrame extends NodeComponent {

	private NodeComponent _nodeComponent;

	
	protected NodeFrame(NodeComponent nodeComponent) {
		_nodeComponent = nodeComponent;
		_nodeComponent.setNodeFrame(this);	
	}
	
	
	protected NodeComponent getNodeComponent() {
		return _nodeComponent;
	}
	
	protected abstract void nodeComponentChanged();
		
}
