package mima.presentation.gwt.noteview;

import mima.domain.Node;

import com.google.gwt.user.client.ui.DialogBox;
import com.google.gwt.user.client.ui.HasHorizontalAlignment;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.ScrollPanel;


/**
 * @author Virginio Carfagno
 */
public class NoteView extends DialogBox {

	public NoteView(Node node, int x, int y) {
		super(true);
		Label noteLabel = new Label(node.getNote(), true);
		
		noteLabel.setPixelSize(200, 200);
		noteLabel.setHorizontalAlignment(HasHorizontalAlignment.ALIGN_LEFT);
		
		ScrollPanel noteScrollPanel = new ScrollPanel(noteLabel);
		noteScrollPanel.setStyleName("mima-NoteView");
		
		setWidget(noteScrollPanel);
		
		setText("Note for \"" + node.getTitle() + "\"");
		
		setPopupPosition(x, y);
		show();
	}
}
